Bug 3767 - New files aren't shown unless we refresh the folder
New files aren't shown unless we refresh the folder
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.21c
Alpha Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-10 01:32 UTC by pavan
Modified: 2007-05-19 00:18 UTC (History)
0 users

See Also:


Attachments
smbd.log at debug=10 (640.29 KB, text/plain)
2006-05-10 02:06 UTC, pavan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pavan 2006-05-10 01:32:17 UTC
Hi all,
       I am running samba on Tru64 OS. When we create new files inside shares the new files are visible only after I "Refresh" (using F5) the folder. They aren't shown straightway. Same is the case for Deleting of files. 
  
  When I saw the log file, it doesn't call              process_pending_change_notify_queue after a new file is created. Can you tell me how the user is notified of new files ? 

 I would like to get assistance than the sollution itself as it helps my understanding of samba. 

 Thanks,
 Pavan
Comment 1 pavan 2006-05-10 02:06:30 UTC
Created attachment 1895 [details]
smbd.log at debug=10
Comment 2 James Peach 2006-11-23 00:46:42 UTC
For this to work the way you want, you need a kernel change notification
mechanism for Tru64.

See the "change notify timeout" parameter in smb.conf(8), and smbd/notify*.c in
the source tre..
Comment 3 James Peach 2007-05-19 00:18:48 UTC
This should be fixed for 3.0.25 with Volker's notify changes.